%global debug_package %{nil}
Name:           python3-brickschema
Version:        0.4.1
Release:        2%{?dist}
Summary:        Brick ontology for buildings

BuildArch:      noarch
License:        BSD
URL:            https://pypi.org/project/pyshacl
Source:         https://files.pythonhosted.org/packages/a4/85/6e8e98d60b4c2751ed936cb99fd4dfbb05bebcb1f93968e5cf7db5053838/brickschema-0.4.1.tar.gz

BuildRequires:  python3-devel python3-wheel python3-setuptools python3-rdflib python3-owlrl python3-pyshacl

%description
A library for working with the Brick ontology for buildings (brickschema.org)

%prep
%autosetup -n brickschema-0.4.1
# hack as these two not needed by blenderbim
sed -i 's^importlib-resources>=3.3.0,<4.0.0^rdflib>=4.0.0^' setup.py
sed -i 's^tabulate>=0.8.7,<0.9.0^rdflib>=4.0.0^' setup.py
# hack as these can't be satisfied by fedora
sed -i 's^pyshacl>=0.14.2,<0.15.0^pyshacl>=0.14.2^' setup.py
sed -i 's^rdflib>=5.0.0,<6.0.0^rdflib>=4.0.0^' setup.py
sed -i 's^xlrd>=1.2.0,<2.0.0^xlrd>=1.2.0^' setup.py
sed -i 's^Flask>=1.1.2,<2.0.0^Flask>=1.0.0^' setup.py
sed -i 's^Jinja2>=2.11.2,<3.0.0^Jinja2>=2.0.0^' setup.py
sed -i 's^typer.all.>=0.3.2,<0.4.0^typer[all]>=0.3.0^' setup.py
sed -i 's^PyYAML>=5.3.1,<6.0.0^PyYAML>=4.0.0^' setup.py
sed -i 's^click-spinner>=0.1.10,<0.2.0^rdflib>=4.0.0^' setup.py
sed -i 's^pytest>=6.2,<7.0^pytest>=5.0^' setup.py
sed -i 's^requests>=2.25.0,<3.0.0^requests>=2.0.0^' setup.py

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python3_sitelib}/*
%{_bindir}/brick_validate
%{_bindir}/brickify

%doc README.md

%changelog
* Sun Nov 07 2021 Bruno Postle <bruno@postle.net> 0.4.1-2
- initial package

